/**
 * Copyright (c) 2019 人人开源 All rights reserved.
 * <p>
 *
 * <p>
 *
 */

package com.roo.commons.security.context;

import com.roo.commons.tools.enums.SuperAdminEnum;
import com.roo.commons.tools.utils.HttpContextUtils;
import com.roo.commons.security.user.UserDetail;
import org.apache.commons.lang3.StringUtils;

/**
 * 租户
 *
 * @author Mark sunlightcs@gmail.com
 */
public class TenantContext {

    public static Long getTenantCode(UserDetail user){
        if(user.getTenantCode() == null){
            return null;
        }

        String tenantCode = HttpContextUtils.getTenantCode();
        //超级管理员，才可以切换租户
        if(user.getSuperAdmin() == SuperAdminEnum.YES.value()){
            if(StringUtils.isNotBlank(tenantCode)){
                return Long.parseLong(tenantCode);
            }
        }
        return user.getTenantCode();
    }
}
